﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Delete);
}
@section Scripts{
    <!-- Thêm thư viện moment.js -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>

    <script src="/assets/js/vendor/bootstrap-datepicker.min.js"></script>
    <script src="/controller/masterorder/pi.js" asp-append-version="true"></script>
    <script>
        $(function () {
            // Thiết lập datetimepicker Bootstrap với định dạng ngày giờ theo ngày Việt Nam
            $(".datetimepicker").datepicker({
                format: 'dd-mm-yyyy'
            });
        });
    </script>

}

    @section Styles{
    <link href="/assets/css/vendor/bootstrap-datepicker.min.css" rel="stylesheet" />
    <link href="/lib/template-admin/ckeditor/skins/moono/editor.css" rel="stylesheet" />
    <style>
        .form-check {
            margin-bottom: 5px !important;
        }

        .form-check-input {
            cursor: pointer;
        }
    </style>
}
    <div class="container-fluid">
        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="card" style="margin-top:20px;">
                    <div class="card-body">
                        @{
                        if (resultCreate.Succeeded)
                        {
                            <a onclick="SavePI()" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                            //<a id="submit-create-new" class="btn btn-outline-success"><i class="uil-plus-circle"></i>&nbsp; Lưu & thêm mới</a>
                            //<a id="submit-create-close" class="btn btn-outline-success"><i class="mdi mdi-window-close"></i>&nbsp; Lưu & Đóng</a>
                        }
                    }
                    <a href="/cpanel/masterorder/pis" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">PRO-FORMA INVOICE</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông tin PRO-FORMA INVOICE
                    </p>
                    <form class="needs-validation" id="frmProduct" novalidate>
                        
                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-2">
                                    <label for="txtPO" class="lh-38">Chọn PO<span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-6">
                                    <select class="form-control select2" id="ddlPOs" onchange="POChange()" data-toggle="select2">
                                    </select>
                                </div>
                            </div>
                        </div>
                        
                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-2">
                                    <label for="ddlStatus" class="lh-38">PI Date <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-6">
                                    <input type="text" class="form-control datetimepicker" id="txtPIDate" data-date-autoclose="true">
                                </div>
                            </div>
                        </div>

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-2">
                                    <label for="ddlCustomer" class="lh-38">Chọn khách hàng <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-6">
                                    <select class="form-control select2 col-lg-9" data-toggle="select2" id="ddlCustomer">
                                    </select>
                                </div>
                            </div>
                        </div>
                        
                    </form>

                </div> <!-- end card-body -->
            </div>

        </div>

    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-xl-6">
                        </div>
                        <div class="col-xl-6">
                            @*<div class="text-xl-end mt-xl-0 mt-2">
                            <a class="btn btn-primary mb-2 me-2" onclick="AddProductInRow()"><i class="uil-plus"></i> Add</a>
                            </div>*@
                        </div><!-- end col-->
                    </div>

                    <div class="table-responsive">
                        <table class="table table-centered table-nowrap mb-0" id="tblProducts">
                            <thead class="table-light">
                                <tr>
                                    <th style="text-align:center">STT</th>
                                    <th style="text-align:center">Sản phẩm</th>
                                    <th style="text-align:center">Item</th>
                                    <th style="text-align:center">Màu</th>
                                    <th style="text-align:center">Số lượng</th>
                                    <th style="text-align:center">Đơn giá</th>
                                    <th style="text-align:center">Deposit</th>
                                    <th style="text-align:center">Tổng tiền</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                        <div class="box-money">
                            <div class="mb-1"><b>Tổng Deposit:</b> <span id="spanTotalDeposit"></span> </div>
                            <div><b>Tổng tiền:</b> <span id="spanTotalMoney"></span></div>
                        </div>
                    </div>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>

    <div class="row" id="box-plan-product" style="display:none">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-xl-6">
                            <h4 class="header-title">Thông tin sản phẩm</h4>
                            <p class="text-muted font-14">
                                Điền đầy đủ thông tin sản phẩm cho kế hoạch
                            </p>
                        </div>
                        <div class="col-xl-6">
                            <div class="text-xl-end mt-xl-0 mt-2">
                                <a class="btn btn-primary mb-2 me-2" onclick="AddProductIntable()"><i class="uil-plus"></i> Add</a>
                            </div>
                        </div><!-- end col-->
                    </div>
                    <div class="row">
                        <div class="col-sm-6">

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtCode" class="lh-38">SKU (Mã sản phẩm)</label>
                                    </div>
                                    <div class="col-md-8">
                                        <select class="form-control select2" id="ddlProducts" data-toggle="select2">
                                        </select>
                                        <input type="hidden" id="productName" />
                                        <input type="hidden" id="productCode" />
                                    </div>
                                </div>
                            </div>

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtCode" class="lh-38">Item</label>
                                    </div>
                                    <div class="col-md-8">
                                        <select id="ddlItems" class="form-control select2" data-toggle="select2">
                                        </select>
                                        <input type="hidden" id="txtItemCode" />
                                    </div>
                                </div>
                            </div>

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtCode" class="lh-38">Màu (Color)</label>
                                    </div>
                                    <div class="col-md-8">
                                        <select id="ddlColors" class="form-control select2" data-toggle="select2">
                                        </select>
                                        <input type="hidden" id="txtColorCode" />
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6">

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtQuantity" class="lh-38">Số lượng (Quantity)</label>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="number" id="txtQuantity" placeholder="0" class="form-control">
                                    </div>
                                </div>
                            </div>

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtPrice" class="lh-38">Đơn giá (Unit Price)</label>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="text" id="txtPrice" placeholder="0" class="form-control">
                                    </div>
                                </div>
                            </div>

                            <div class="form-group mb-2">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="txtCBM" class="lh-38">Số khối (CBM)</label>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="text" id="txtCBM" placeholder="0" class="form-control">
                                    </div>
                                </div>
                            </div>


                        </div>
                    </div>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
</div>


